Skip to main content
`Ctrl`+`K`

# PCFieldSplitGetISByIndex

Retrieves the elements for a given split as an `IS`

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCFieldSplitGetISByIndex(PC pc, PetscInt index, IS *is)

Logically Collective

## Input Parameters

- pc - the preconditioner context

- index - index of this split

## Output Parameter

- is - the index set that defines the elements in this split

## See Also

Solving Block Matrices with PCFIELDSPLIT, `PC`, `PCFieldSplitGetSubKSP()`, `PCFIELDSPLIT`, `PCFieldSplitGetIS()`, `PCFieldSplitSetIS()`

## Level

intermediate

## Location

src/ksp/pc/impls/fieldsplit/fieldsplit.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages